/*
 * Copyright (C) 2015, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import QtQuick.Layouts 1.0

Item{
    id: dateTimeItem

    property date curDate
    property alias iconheight: icon.height

    signal dateTimeClicked()
    signal dateClicked()
    signal timeClicked()

    RowLayout{
        id: rootRow
        spacing: units.gu(2)
        anchors.horizontalCenter: parent.horizontalCenter
        Icon {
            id: icon
            width: height
            name: "calendar"
        }
        Label {
            id: lbDate
            anchors.verticalCenter: icon.verticalCenter
            text: Qt.formatDate(curDate,Qt.SystemLocaleShortDate)
            font.bold: true
            fontSize: "large"
            MouseArea {
                anchors.fill: parent
                onClicked: dateTimeItem.dateClicked()
            }
        }
        Label {
            id: lbTime
            anchors.verticalCenter: lbDate.verticalCenter
            text: Qt.formatTime(curDate,Qt.SystemLocaleShortDate)
            font.bold: true
            fontSize: "large"
            MouseArea {
                anchors.fill: parent
                onClicked: dateTimeItem.timeClicked()
            }
        }
    }
}
