import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Pickers 1.3
import Ubuntu.Components.Popups 1.3
import "../utils.js" as Utils

Item {
    id: addTempBasalItem

    signal applyTempRate(string h, string m, string p)
    signal buttonOkClicked();

    property var pickerValues
    property bool bEditRate: false

    Component.onCompleted: PopupUtils.open(component,addTempBasalItem,{pickerValues: addTempBasalItem.pickerValues,bEditRate: addTempBasalItem.bEditRate})

    Component{
        id: component
        Dialog{
            id: dialog
            title: i18n.tr("Temporary basal rate")

            property var pickerValues
            property bool bEditRate: false

            Component.onCompleted: {
                if (bEditRate){
                    pickerHours.selectedIndex = parseInt(pickerValues[0]);
                    pickerMinutes.selectedIndex = parseInt(Utils.indexOfPicker(pickerMinutes.model,pickerValues[1]));
                    pickerPercent.selectedIndex = parseInt(Utils.indexOfPicker(pickerPercent.model,pickerValues[2]));
                }
            }
            Label{
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr("Change the temp. basal rate for ...")
            }
            Row{
                id: pickerRow
                spacing: units.gu(1)
                Picker {
                    id: pickerHours
                    circular: false
                    delegate: PickerDelegate {
                        Label {
                            anchors.centerIn: parent
                            text: modelData + " h"
                        }
                    }
                    onSelectedIndexChanged: {
                        if (selectedIndex === 24) {
                            pickerMinutes.selectedIndex = 0;
                            pickerMinutes.enabled = false;
                        }
                        else  pickerMinutes.enabled = true;
                    }
                    Component.onCompleted: {
                        var temp = [];
                        for (var i = 0; i <= 24; i++) {
                            if (i < 10) temp.push("0" + i);
                            else temp.push(i);
                        }
                        model = temp;
                        selectedIndex = 0;
                    }
                }
                Picker {
                    id: pickerMinutes
                    circular: false
                    delegate: PickerDelegate {
                        Label {
                            anchors.centerIn: parent
                            text: modelData + " min"
                        }
                    }
                    onSelectedIndexChanged: {
                        if (pickerHours.selectedIndex === 24) {
                            selectedIndex = 0;
                        }
                    }
                    Component.onCompleted: {
                        var temp = [];
                        for (var j = 0; j < 60; j+= 5){
                            if (j < 10) temp.push("0" + j);
                            else temp.push(j);
                        }
                        model = temp;
                        selectedIndex = 0;
                    }
                }
                Label{
                    text: i18n.tr("at")
                    anchors.verticalCenter: pickerRow.verticalCenter
                }

                Picker {
                    id: pickerPercent
                    circular: false
                    delegate: PickerDelegate {
                        Label {
                            anchors.centerIn: parent
                            text: modelData
                        }
                    }
                    Component.onCompleted: {
                        var temp = [];
                        for (var k = 0; k <= 300; k+= 5){
                            temp.push(k + "%");
                        }
                        model = temp;
                        selectedIndex = 20;
                    }
                }
            }
            Button {
                text: "Ok"
                onClicked: {
                    if ((!(pickerHours.selectedIndex === 0) || !(pickerMinutes.selectedIndex === 0)) && !(pickerPercent.selectedIndex === 20))
                                addTempBasalItem.applyTempRate(pickerHours.model[pickerHours.selectedIndex],
                                                               pickerMinutes.model[pickerMinutes.selectedIndex],
                                                               pickerPercent.model[pickerPercent.selectedIndex]);
                    PopupUtils.close(dialog)
                    addTempBasalItem.buttonOkClicked();
                }
            }
        }
    }
}

