/*
 * Copyright (C) 2015, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3
import Ubuntu.Components.Pickers 1.3

Item {
    id: timeDialog

    property date curDate: new Date()

    signal acceptClicked(date newTime)

    Component.onCompleted: PopupUtils.open(component,timeDialog,{time: curDate});

    Component {
        id: component
        Dialog {
            id: dialog
            title: i18n.tr("Time")
            property date time: new Date()

            DatePicker {
                id: timePicker
                date: time
                mode: "Hours|Minutes"
                onDateChanged: {
                    var d = time;
                    d.setHours(timePicker.date.getHours());
                    d.setMinutes(timePicker.date.getMinutes());
                    if (!entries.dateCompare({"compare": d})){
                        okButton.enabled = true;
                        attentionTime.visible = false;
                        time = d;
                    }
                    else{
                        date = new Date();
                        //time = new Date();
                        //attentionTime.visible = true;
                        //okButton.enabled = false;
                    }
                }
            }
            Label{
                id: attentionTime
                width: parent.width
                color: UbuntuColors.red
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr("Time is in the future !!!")
                visible: false
            }
            Button {
                id: okButton
                text: "Ok"
                onClicked: {
                    timeDialog.acceptClicked(time)
                    PopupUtils.close(dialog)
                }
            }
        }
    }
}
