/*
 * Copyright (C) 2015, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3

Popover {
    id: rangePopover
    contentHeight: popCol.height + lbLower.height;

    signal closed();

    Component.onDestruction: rangePopover.closed();

    Column {
        id: popCol
        anchors {
            left: parent.left
            top: parent.top
            right: parent.right
            margins: units.gu(2)
        }
        Label {
            id: lbLower
            width: parent.width
            text: i18n.tr("Lower value: %1 %2").arg(sliderLower.value.toFixed(settings.fixpoint)).arg(settings.measurementUnit)
            wrapMode: Text.WordWrap
        }
        Slider {
            function formatValue(v) { return v.toFixed(settings.fixpoint) }
            id: sliderLower
            width: parent.width
            minimumValue: settings.lowerRangeValueMin
            maximumValue: settings.lowerRangeValueMax
            value: settings.lowerRangeValue
            onValueChanged: settings.lowerRangeValue = value.toFixed(settings.fixpoint);
        }
        Label {
            id: lbUpper
            width: parent.width
            text: i18n.tr("Upper value: %1 %2").arg(sliderUpper.value.toFixed(settings.fixpoint)).arg(settings.measurementUnit)
            wrapMode: Text.WordWrap
        }
        Slider {
            function formatValue(v) { return v.toFixed(settings.fixpoint) }
            id: sliderUpper
            width: parent.width
            maximumValue: settings.upperRangeValueMax
            minimumValue: settings.upperRangeValueMin
            value: settings.upperRangeValue
            onValueChanged: settings.upperRangeValue = value.toFixed(settings.fixpoint);
        }
    }
}


