/*
 * Copyright (C) 2015, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3

Popover {
    id: deletePopover
    width: units.gu(6)

    signal clicked();

    AbstractButton{
        height: width
        width: units.gu(6)
        Rectangle {
            anchors.fill: parent
            color: Theme.palette.selected.background
            visible: parent.pressed
        }
        UbuntuShape{
            anchors.fill: parent
            color: UbuntuColors.red
            Icon {
                anchors.centerIn: parent
                color: UbuntuColors.darkGrey
                height: width
                name: "edit-clear"
                width: units.gu(3)
            }
        }
        onClicked: {
            Haptics.play();
            deletePopover.clicked();
            deletePopover.destroy()
        }
    }
}


