/*
 * Copyright (C) 2015, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3

Item {
    id: deleteDatabaseDialog

    signal acceptClicked();

    Component.onCompleted: PopupUtils.open(component,deleteDatabaseDialog);
    Component {
        id: component
        Dialog {
            id: dialog
            Icon {
                id: icon
                width: units.gu(7)
                height: units.gu(7)
                name: "help"//"dialog-warning-symbolic"
            }
            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr("Delete database permanently?")
                wrapMode: Text.WordWrap
            }
            Row{
                width: parent.width
                spacing: units.gu(2)
                Button {
                    text: "Ok"
                    color: UbuntuColors.red
                    width: parent.width/2 - units.gu(1)
                    onClicked: {
                        deleteDatabaseDialog.acceptClicked();
                        PopupUtils.close(dialog);
                    }
                }
                Button {
                    text: i18n.tr("Cancel")
                    width: parent.width/2 - units.gu(1)
                    onClicked: PopupUtils.close(dialog);
                }
            }
        }
    }
}

