/*
 * Copyright (C) 2015, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3
import Ubuntu.Components.ListItems 1.3 as ListItem

Item {
    id: exportDialog

    signal acceptClicked(var selectedOption);

    Component.onCompleted: PopupUtils.open(component,exportDialog);
    Component{
        id: component
        Dialog{
            id: dialog
            title: i18n.tr("Export Database")
//            Label{
//                width: parent.width
//                horizontalAlignment: Text.AlignHCenter
//                text: i18n.tr("Documents/Diabetes-Diary-Export")
//            }
            OptionSelector {
                id: exportSelector
                expanded: true
                model:[i18n.tr("Export as csv")]
                       //i18n.tr("Export as pdf")];
            }
            Row{
                width: parent.width
                spacing: units.gu(2)
                Button {
                    text: "Ok"
                    color: UbuntuColors.red
                    width: parent.width/2 - units.gu(1)
                    onClicked: {
                        exportDialog.acceptClicked(exportSelector.selectedIndex.toString());
                        PopupUtils.close(dialog)
                    }
                }
                Button {
                    text: i18n.tr("Cancel")
                    width: parent.width/2 - units.gu(1)
                    onClicked: PopupUtils.close(dialog);
                }
            }
        }
    }
}

