/*
 * Copyright (C) 2015, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3

Item{
    id: importNoteItem

    property alias color: rootRec.color
    property alias radius: rootRec.radius
    property alias pointSizeFirstLabel: topLabel.font.pointSize
    property alias unit: bottomLabel.text
    property string dispText
    property bool bold: false

    Rectangle{
        id: rootRec
        anchors.fill: parent
        Column{
            anchors.fill: parent
            Label {
                id: topLabel
                width: parent.width
                height: 2*parent.height/3
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                textFormat: Text.StyledText
                maximumLineCount: 2
                fontSize: "x-small"
                font.weight: (dispText === "" || !bold) ? Font.Normal : Font.DemiBold
                text: (dispText === "") ? "-" : dispText
            }
            Label {
                id: bottomLabel
                width: parent.width
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
                height: parent.height/3
                fontSize: "small"
            }
        }
    }
}
