/*
 * Copyright (C) 2012-2014 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * This component is based on the script "ImportContacts.qml" from
 * the Dekko app.
 */

import QtQuick 2.2
import Ubuntu.Components 1.1
import Ubuntu.Components.Popups 1.0 as Popups
import Ubuntu.Content 0.1 as ContentHub
Item {
    id: root

    property string importUrl
    property var dialog: null
    property int dataBaseType

    signal selecetedDone(var selectedUrl);

//    function requestImport(selectedOption){
//        root.dataBaseType = selectedOption;
//        root.dialog = PopupUtils.open(component, root)
//    }
    Component.onCompleted:root.dialog = PopupUtils.open(component, root)
    Component {
        id: component

        Popups.PopupBase {
            id: dialogue

            property alias activeTransfer: signalConnections.target
            focus: true

            Rectangle {
                anchors.fill: parent

                ContentHub.ContentPeerPicker {
                    id: peerPicker

                    anchors.fill: parent
                    contentType: ContentHub.ContentType.Contacts
                    handler: ContentHub.ContentHandler.Source

                    onPeerSelected: {
                        peer.selectionType = ContentHub.ContentTransfer.Multiple
                        dialogue.activeTransfer = peer.request()
                    }

                    onCancelPressed: {
                        PopupUtils.close(root.dialog);
                        importUrl = "";
                    }
                }
            }
            Connections {
                id: signalConnections

                onStateChanged: {
                    if (dialogue.activeTransfer.state === ContentHub.ContentTransfer.Charged) {
                        dialogue.hide()
                        if (dialogue.activeTransfer.items.length > 0) {
                            importUrl=dialogue.activeTransfer.items[0].url;
                            root.selecetedDone(importUrl);
                        }
                    }
                }
            }
        }
    }
}

