/*
 * Copyright (C) 2015, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3
import Ubuntu.Components.ListItems 1.3 as ListItem
Item {
    id: settingsDatabaseItem
    signal deleteClicked();
    signal exportClicked();
    signal importClicked();

    Flickable {
        id: flickable
        clip: true
        anchors.fill: parent
        contentHeight: columnEinst.height
        boundsBehavior: Flickable.StopAtBounds
        Column {
            id: columnEinst
            width: parent.width

            ListItem.Standard {
                text: i18n.tr("Export Database")
                progression: true
                enabled: diaryListModel.count > 0;
                onClicked: settingsDatabaseItem.exportClicked();
            }
            ListItem.Standard {
                text: i18n.tr("Import Database")
                progression: true
                onClicked: settingsDatabaseItem.importClicked();
            }
            ListItem.Standard {
                text: i18n.tr("Delete Database")
                progression: true
                enabled: diaryListModel.count > 0;
                onClicked: settingsDatabaseItem.deleteClicked();
            }
        }
    }
}

