/*
 * Copyright (C) 2016, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3
import Ubuntu.Components.Pickers 1.3

Item {
    id: shiftDialog
    signal acceptClicked(var percent);

    Component.onCompleted: PopupUtils.open(component,shiftDialog);
    Component{
        id: component
        Dialog{
            id: dialog
            title: i18n.tr("Move the basal rate")

            Picker {
                id: pickerPercent
                circular: false
                delegate: PickerDelegate {
                    Label {
                        anchors.centerIn: parent
                        text: modelData + "%"
                    }
                }
                Component.onCompleted: {
                    var temp = [];
                    for (var j = 50; j < 200; j+= 5){
                        temp.push(j);
                    }
                    model = temp;
                    selectedIndex = 10;
                }
            }

            Row{
                width: parent.width
                spacing: units.gu(2)
                Button {
                    text: "Ok"
                    color: UbuntuColors.red
                    width: parent.width/2 - units.gu(1)
                    onClicked: {
                        shiftDialog.acceptClicked(pickerPercent.model[pickerPercent.selectedIndex]);
                        PopupUtils.close(dialog)
                    }
                }
                Button {
                    text: i18n.tr("Cancel")
                    width: parent.width/2 - units.gu(1)
                    onClicked: PopupUtils.close(dialog);
                }
            }

        }
    }
}

