/*
 * Copyright (C) 2016, Ronny Fuchs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3
import Ubuntu.Components.Pickers 1.3

Item {
    id: updateMealCarbsDialog

    signal acceptClicked(var convValue)

    Component.onCompleted: PopupUtils.open(component,updateMealCarbsDialog);

    Component {
        id: component
        Dialog {
            id: dialog
            title: i18n.tr("Conversion")
            //text: i18n.tr("Do you want to convert your past carbohydrates in grams again?");
            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr("1 KE/BE = %1 g Carbohydrate.").arg(sliderKEKH.value.toFixed(0))
                wrapMode: Text.WordWrap
            }
            Slider {
                function formatValue(v) { return v.toFixed(0) }
                id: sliderKEKH
                width: parent.width
                minimumValue: 2
                maximumValue: 20
                value: diaryListModel.convValueMealCarbs
            }
            Row{
                width: parent.width
                spacing: units.gu(2)
                Button {
                    text: "Ok"
                    color: UbuntuColors.red
                    width: parent.width/2 - units.gu(1)
                    onClicked: {
                        updateMealCarbsDialog.acceptClicked(sliderKEKH.value.toFixed(0))
                        PopupUtils.close(dialog)
                    }
                }
                Button {
                    text: i18n.tr("Cancel")
                    width: parent.width/2 - units.gu(1)
                    onClicked: PopupUtils.close(dialog);
                }
            }
        }
    }
}
