#ifndef IMPORTWORKER_H
#define IMPORTWORKER_H

#include <QObject>
#include <QSqlDatabase>
#include <QSqlQuery>
#include "../Diary/diaryentry.h"

class ImportWorker : public QObject
{
    Q_OBJECT
public:
    explicit ImportWorker(const QList<DiaryEntry*> data, QObject *parent = 0);
    ~ImportWorker();

public slots:
    void slotExecute();
signals:
    void progress(const int &progress);
    void finished();
private:
    QSqlDatabase m_db;
    QSqlQuery* query;
    QList<DiaryEntry*> m_data;
    bool m_databaseOpen;
    bool saveToDatabase(DiaryEntry* entry);
};

#endif // IMPORTWORKER_H
