
#include <QDateTime>
#include "diaryentry.h"

DiaryEntry::DiaryEntry(QObject *parent)
    : QObject(parent)
    , m_glucMeasValueMg(0)
    , m_glucMeasValueMmol(0)
    , m_mealCarbs(0)
    , m_mealCarbsGrams(0)
    , m_bolus(0)
    , m_basalInjection(0)
    , m_temporaryPumpBasal("")
    , m_note("")
    , m_id(0)
{

}
void DiaryEntry::setCreatedTimeStamp(const QDateTime &timeStamp){
    if(m_createdTimeStamp.operator !=(timeStamp)){
        m_createdTimeStamp = timeStamp;
        Q_EMIT createdTimeStampChanged();
    }
}
void DiaryEntry::setId(const int &value){
    if (m_id != value){
        m_id = value;
        Q_EMIT idChanged();
    }
}
int DiaryEntry::id(){
    return m_id;
}

QDateTime DiaryEntry::createdTimeStamp(){
    return m_createdTimeStamp;
}
void DiaryEntry::setCreatedTime(const QTime &time){
    if(m_createdTime.operator !=(time)){
        m_createdTime = time;
        Q_EMIT createdTimeChanged();
    }
}
QTime DiaryEntry::createdTime(){
    return m_createdTime;
}
void DiaryEntry::setCreatedDate(const QDate &date){
    if(m_createdDate.operator !=(date)){
        m_createdDate = date;
        Q_EMIT createdDateChanged();
    }
}
QDate DiaryEntry::createdDate(){
    return m_createdDate;
}
void DiaryEntry::setGlucMeasValueMg(const double &value){
    if (m_glucMeasValueMg != value){
        m_glucMeasValueMg = value;
        Q_EMIT glucMeasValueMgChanged();
    }
}
double DiaryEntry::glucMeasValueMg(){
    return m_glucMeasValueMg;
}
void DiaryEntry::setGlucMeasValueMmol(const double &value){
    if (m_glucMeasValueMmol != value){
        m_glucMeasValueMmol = value;
        Q_EMIT glucMeasValueMmolChanged();
    }
}
double DiaryEntry::glucMeasValueMmol(){
    return m_glucMeasValueMmol;
}
void DiaryEntry::setMealCarbs(const double &value){
    if (m_mealCarbs != value){
        m_mealCarbs = value;
        Q_EMIT mealCarbsChanged();
    }
}
double DiaryEntry::mealCarbs(){
    return m_mealCarbs;
}
void DiaryEntry::setMealCarbsGrams(const double &value){
    if (m_mealCarbsGrams != value){
        m_mealCarbsGrams = value;
        Q_EMIT mealCarbsGramsChanged();
    }
}
double DiaryEntry::mealCarbsGrams(){
    return m_mealCarbsGrams;
}
void DiaryEntry::setBolus(const double &value){
    if (m_bolus != value){
        m_bolus = value;
        Q_EMIT bolusChanged();
    }
}
double DiaryEntry::bolus(){
    return m_bolus;
}
void DiaryEntry::setBasalInjection(const double &value){
    if (m_basalInjection != value){
        m_basalInjection = value;
        Q_EMIT basalInjectionChanged();
    }
}
double DiaryEntry::basalInjection(){
    return m_basalInjection;
}
void DiaryEntry::setTemporaryPumpBasal(const QString &value){
    if (m_temporaryPumpBasal != value){
        m_temporaryPumpBasal = value;
        Q_EMIT temporaryPumpBasalChanged();
    }
}
QString DiaryEntry::temporaryPumpBasal(){
    return m_temporaryPumpBasal;
}
void DiaryEntry::setNote(const QString &text){
    if (m_note != text){
        m_note = text;
        Q_EMIT noteChanged();
    }
}
QString DiaryEntry::note(){
    return m_note;
}
