#ifndef DIARYLISTFILTERMODEL_H
#define DIARYLISTFILTERMODEL_H

#include <QSortFilterProxyModel>
#include "diarylistmodel.h"

class DiaryListFilterModel : public QSortFilterProxyModel {

    Q_OBJECT
    Q_PROPERTY(int count READ count NOTIFY countChanged)
    Q_PROPERTY(QAbstractItemModel * sourceModel READ sourceModel WRITE setSourceModel)
public:
    explicit DiaryListFilterModel(QObject * parent = 0);

    Q_INVOKABLE QString sectionTitle(const QVariantMap &dateString);
    Q_INVOKABLE QString sectionAverage(const QVariantMap &dateString,const QString &unit);
    Q_INVOKABLE bool dateCompare(const QVariantMap &data);
    int count() const;

protected:
    bool filterAcceptsRow(int sourceRow, const QModelIndex &sourceParent) const;
    bool lessThan(const QModelIndex &left, const QModelIndex &right) const;
signals:
    void countChanged();

public slots:

};

#endif // DIARYLISTFILTERMODEL_H
