#ifndef PUMPBASAL_H
#define PUMPBASAL_H

#include <QObject>

class PumpBasal : public QObject
{
    Q_OBJECT
    Q_PROPERTY(quint64 id READ id WRITE setId NOTIFY idChanged)
    Q_PROPERTY(QString name READ name WRITE setName NOTIFY nameChanged)
    Q_PROPERTY(QString basalRate READ basalRate WRITE setBasalRate NOTIFY basalRateChanged)
    Q_PROPERTY(bool isActive READ isActive WRITE setIsActive NOTIFY isActiveChanged)

public:
    explicit PumpBasal(QObject *parent = 0);

    quint64 id();
    void setId(const quint64 &i);

    QString name();
    void setName(const QString &str);

    QString basalRate();
    void setBasalRate(const QString &str);

    bool isActive();
    void setIsActive(const bool &act);

signals:
    void idChanged();
    void nameChanged();
    void basalRateChanged();
    void isActiveChanged();

public slots:

private:
    quint64 m_id;
    QString m_name;
    QString m_basalrate;
    bool m_isActive;
};

#endif // PUMPBASAL_H
