#include <QtQml>
#include <QtQml/QQmlContext>
#include "backend.h"
#include "Diary/diarylistfiltermodel.h"
#include "Diary/diarylistmodel.h"
#include "Settings/pumpbasalmodel.h"
#include "Settings/importmodel.h"
#include "Statistics/diarystatistics.h"

void BackendPlugin::registerTypes(const char *uri)
{
    Q_ASSERT(uri == QLatin1String("Diabetes_Diary_App"));

    qmlRegisterType<PumpBasalModel>(uri, 1, 0, "PumpBasalModel");
    qmlRegisterType<DiaryListFilterModel>(uri,1,0,"DiaryListFilterModel");
    qmlRegisterType<DiaryListModel>(uri,1,0,"DiaryListModel");
    qmlRegisterType<DiaryStatistics>(uri, 1, 0,"DiaryStatistics");
    qmlRegisterType<ImportModel>(uri, 1, 0,"ImportModel");
}

void BackendPlugin::initializeEngine(QQmlEngine *engine, const char *uri)
{
    QQmlExtensionPlugin::initializeEngine(engine, uri);
}

